{% extends 'spritju/esvaas/base.html' %}
{% load static %}
{% block title %}
    <title>Spritju 1.0 - Dashboard</title>
{% endblock %}

{% block page-content %}
    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <div class="align-items-center justify-content-between mb-4 pl-2">
            <div class="row"><h3 class="mb-0 text-gray-800">Welcome to</h3></div>
            <div class="row"><h5 class="mb-0 text-gray-700">Overview of your last 24h</h5></div>


            {% comment %}  <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                    class="fas fa-download fa-sm text-white-50"></i> Generate Report</a>{% endcomment %}
        </div>

        <!-- Content Row -->
        <div class="row">

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-primary shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                    Your total consumption (daily)
                                </div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">32659 KWh</div>
                            </div>
                            <div class="col-auto">
                                <i class="fa-solid fa-plug-circle-bolt fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-success shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                    Total generation of wind park (location X)
                                </div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">27938 KWh</div>
                            </div>
                            <div class="col-auto">
                                <i class="fa-solid fa-fan fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-warning shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Total generation of
                                    solar park (location Y)
                                </div>
                                <div class="row no-gutters align-items-center">
                                    <div class="col-auto">
                                        <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">5490 KWh</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-auto">
                                <i class="fa-solid fa-solar-panel fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Pending Requests Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-bottom-info shadow h-100 py-2 p-0">
                    <div class="card-body">

                        <h3>Today: </h3><h5>Sat, April 2, 2022</h5>
                        {% comment %} <div class="input-group date" id="datepicker">
                            <input type="text" class="form-control" id="date"/>
                            <span class="input-group-append">
                                <span class="input-group-text bg-light d-block">
                                    <i class="fa fa-calendar"></i>
                                </span>
                            </span>
                        </div>{% endcomment %}
                    </div>
                </div>
            </div>
        </div>

        <!-- Content Row -->

        <div class="row">
            <!-- consumption traceability overview -->
            <div class="col-xl-8 col-lg-7">
                <div class="card shadow mb-4">
                    <!-- Card Header - Dropdown -->
                    <div
                            class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                        <h6 class="m-0 font-weight-bold text-primary">SpritjuTrace<sup>TM</sup></h6>
                        <i class="fa-solid fa-circle-info fa-2x" style="color:dodgerblue" data-toggle="popover"
                           data-content="
                                <div class='row'>
                                    <div class='col-md-4' ><img class='img-fluid' src={% static 'img/esvaas/triple-orb.png' %} /></div>
                                    <div class='col-md-8' >  GoO purchased, GoO matched hourly, GoO auditable</div>
                                </div>
                                <hr>
                                <div class='row'>
                                    <div class='col-md-4' ><img class='img-fluid' src={% static 'img/esvaas/double-orb.png' %} /></div>
                                    <div class='col-md-8' > GoO purchased, GoO matched hourly</div>
                                </div>
                                <hr>
                                <div class='row'>
                                    <div class='col-md-4' ><img class='img-fluid' src={% static 'img/esvaas/single-orb.png' %} /></div>
                                    <div class='col-md-8' > GoO purchased</div>
                                </div>
                                <hr>
                                <div class='row'>
                                    <div class='col-md-4' ><img class='img-fluid' src={% static 'img/esvaas/orbless.png' %} /></div>
                                    <div class='col-md-8' > No GoO purchased, no hourly matching, no auditing</div>
                                </div>">
                        </i>
                    </div>
                    <!-- Card Body -->
                    <div class="card-body pb-5">
                        <div class="row">
                            <div class="col-lg-3 mb-4">
                                <div class="card bg-light shadow">
                                    <div class="card-body">
                                        0 KWh
                                        <img src="{% static 'img/esvaas/triple-orb.png' %}" alt="triple orb consumption"
                                             class="img-fluid">
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 mb-4">
                                <div class="card bg-light shadow">
                                    <div class="card-body">
                                        28734 KWh
                                        <img src="{% static 'img/esvaas/double-orb.png' %}" alt="triple orb consumption"
                                             class="img-fluid">
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 mb-4">
                                <div class="card bg-light shadow">
                                    <div class="card-body">
                                        0 KWh
                                        <img src="{% static 'img/esvaas/single-orb.png' %}" alt="triple orb consumption"
                                             class="img-fluid">
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 mb-4">
                                <div class="card bg-light shadow">
                                    <div class="card-body">
                                        3925 KWh
                                        <img src="{% static 'img/esvaas/orbless.png' %}" alt="triple orb consumption"
                                             class="img-fluid">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- weather report -->
            <div class="col-xl-4 col-lg-5">
                <div class="card shadow mb-4">
                    <!-- Card Header - Dropdown -->
                    <div
                            class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                        <h6 class="m-0 font-weight-bold text-primary">Weather report</h6>
                        <div class="dropdown no-arrow">
                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                 aria-labelledby="dropdownMenuLink">
                                <div class="dropdown-header">Dropdown Header:</div>
                                <a class="dropdown-item" href="#">Action</a>
                                <a class="dropdown-item" href="#">Another action</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#">Something else here</a>
                            </div>
                        </div>
                    </div>
                    <!-- Card Body -->
                    <div class="card-body pb-8 pt-0 pr-0 pl-0">
                        <a class="weatherwidget-io" href="https://forecast7.com/en/59d3318d07/stockholm/"
                           data-label_1="STOCKHOLM" data-label_2="SWEDEN" data-icons="Climacons Animated"
                           data-theme="clear">STOCKHOLM WEATHER</a>
                        <script>
                            !function (d, s, id) {
                                var js, fjs = d.getElementsByTagName(s)[0];
                                if (!d.getElementById(id)) {
                                    js = d.createElement(s);
                                    js.id = id;
                                    js.src = 'https://weatherwidget.io/js/widget.min.js';
                                    fjs.parentNode.insertBefore(js, fjs);
                                }
                            }(document, 'script', 'weatherwidget-io-js');
                        </script>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <!-- consumption carbon overview -->
            <div class="col-xl-8 col-lg-7">
                <div class="card shadow mb-4">
                    <!-- Card Header - Dropdown -->
                    <div
                            class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                        <h6 class="m-0 font-weight-bold text-primary">SpritjuCarbon<sup>TM</sup></h6>
                        <i class="fa-solid fa-circle-info fa-2x" style="color:dodgerblue" data-toggle="popover"
                           data-content="
                                <div class='row'>
                                    <div class='col-md-4'><span class='badge badge-emerald'> Emerald</span></div>
                                    <div class='col-md-8' > 0-0,1 kg CO2 eq /kWh</div>
                                </div>
                                <hr>
                                <div class='row'>
                                   <div class='col-md-4'><span class='badge badge-jade'> Jade</span></div>
                                    <div class='col-md-8' > 0,1-0,4 kg CO2 eq /kWh</div>
                                </div>
                                <hr>
                                <div class='row'>
                                    <div class='col-md-4'><span class='badge badge-pyrite'> Pyrite</span></div>
                                    <div class='col-md-8' > 0,4-0,7 kg CO2 eq /kWh</div>
                                </div>
                                <hr>
                                 <div class='row'>
                                    <div class='col-md-4'><span class='badge badge-onyx'> Onyx</span></div>
                                    <div class='col-md-8' > 0,7 kg CO2 eq /kWh</div>
                                </div>"></i>
                    </div>
                    <!-- Card Body -->
                    <div class="card-body pb-5">
                        <div class="row">
                            <div class="col-lg-3 mb-4">
                                <div class="card bg-emerald text-white shadow">
                                    <div class="card-body">
                                        <p> Emerald: 28734 KWh</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 mb-4">
                                <div class="card bg-jade text-white shadow">
                                    <div class="card-body">
                                        <p>Jade: 3925 KWh</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 mb-4">
                                <div class="card bg-pyrite text-white shadow">
                                    <div class="card-body">
                                        <p>Pyrite: 0 KWh</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 mb-4">
                                <div class="card bg-onyx text-white shadow">
                                    <div class="card-body">
                                        <p>Onyx: 0 KWh</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Illustrations -->
            <div class="col-xl-4 col-lg-5">
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Sustainability news feed</h6>
                    </div>
                    <div class="card-body">
                        {% comment %} <rssapp-feed id="t20WqAfUcrLsWa1Q"></rssapp-feed>
                        <script src="https://widget.rss.app/v1/feed.js" type="text/javascript" async></script>{% endcomment %}

                        <script src="https://apps.elfsight.com/p/platform.js" defer></script>
                        <div class="elfsight-app-5aed587b-7231-48fa-86ec-81b52ca80142"></div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- /.container-fluid -->
{% endblock %}